
Redmine - Feature #7711

Jalali Calendar

2011-02-24 17:11 - Majid Tajamolian

Status: Closed Start date: 2011-02-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Calendar Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Jalali (Hijri Shamsi) calendar is one of the most accurate calendars world-wide.

Support for it in great RedMine can be a good idea.

Related issues:

Is duplicate of Redmine - Feature #12889: Persian Solar Calendar is needed New

History

#1 - 2011-04-11 12:45 - Ebrahim Mohammadi

You may want to take a look at my branch of Redmine: https://bitbucket.org/ebrahim/redmine

#2 - 2013-12-24 10:34 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #12889.

#3 - 2013-12-24 10:34 - Toshi MARUYAMA

- Is duplicate of Feature #12889: Persian Solar Calendar is needed added

#4 - 2014-04-19 05:12 - Ebrahim Mohammadi

FYI: Redmine with support of Persian calendar system is available as a commercial service at Peygir.

Disclaimer: I'm the developer.

#5 - 2015-03-11 11:33 - Hassan Zaafearni

سلام

ای کاش به علاوه برگفتم اینکه این امکان در پیگیر هست برای ما که علاقه مند هستیم هم نحوه استفاده ازین تقویم رو قرار می دادین تا

ما هم بتونیم ازش استفاده کنیم

#6 - 2015-10-10 15:22 - Hossein Soleimany

Hi There,

So what happened to this feature? any body started to fix this as a noncommercial plugin?

#7 - 2018-01-20 08:54 - Majid Gholipasandi

Hi see:

https://github.com/abmahmoodi/redmine-persian

https://github.com/behrang/redmine-themes

http://www.redmine.org/issues/7418

#8 - 2021-04-05 07:03 - Abbas Samgani

Hi dears

I have been following the solar calendar for Redmine for a long time, but I didn't find any results,

People who have done this before are from older versions of Redmine.
Is it possible to create a plugin in this regard?

#9 - 2021-12-19 12:07 - Amir Khalili

Gentlemen hope you enjoy the show.

I needed it so i made it.

I'm not a developer by nature btw.

Redmine version 4.1.1 fully Persian localized for F* Free. Things that localized:

- The actual Calendar.

- Every date input has Jalali date picker (thnx to Reza Babakhani <babakhani.reza@gmail.com> for free JS date picker).

- Roadmap has Jalali dates.

- Versions has Jalali dates.

- Activies are displayed in Jalali dates.

- Wikis are in Jalali dates.

- Every dates that are used in Issues are now in Jalili format (things like: "created_on", "updated_on", ...)

- Repositories are fully in Jalali format.

- Gantt is in jalali format (i dont like it though).

- Documents dates are in Jalali format.

- Files dates are in Jalali format.

- Time entries are in Jalali format. You can add time entry in Jalali format, you can also report everything in Jalali dates.

- Dates tooltips are in Jalali format.

- Many icons, tables and context menus tweaked to fully support RTL schema.

Plugins that localized:

- Agile board plugin fully persian localized (God dammit he even did that too! LoL LoL LoL). even it's chart dates now diplay Jalali dates.

- "More previews" plugin localized (it's just dates table you know :D )

- CK Editor ADDED :)) .

Things not included (I haven't really looked into these yet, cause i had no interest)

- News

- Forums

Notes:

- When you use date filters to filter something the most stable way is to use "From To" model which gives you two date inputs. I tweaked "Current

date" and "Current month" to display right dates but "previous week", "previous months" and stuff like that may don't give you expected results :D !

- Dont mess around with "Date format" in settings, Its hard coded in some places :)) Use default one.

May i proudly present you:

https://github.com/dearssickness/redmine-fa

Ow it has a fully several times tested Persian installation document which added to the main code "Redmine-Deplyment.docx". Just connect machine

to Internet and copy paste stuffs LoL.

Thnx to Redmine guys.
